# Module `Hotkey`

Druid hotkey component

## Functions

add_hotkey(self, keys[, callback_argument]) | Add hotkey for component callback
init(self, keys, callback[, callback_argument]) | Component init function

## Tables

style | Component style params.

## Fields

button | Button component from click_node
click_node | Button trigger node
node | Visual node
on_change_state | On change state callback(self, state)

## Functions

add_hotkey(self, keys[, callback_argument])
  Add hotkey for component callback

  ### Parameters:

  - self Hotkey Hotkey
  - keys string[], hash[], string or hash that have to be pressed before key pressed to activate
  - callback_argument value The argument to pass into the callback function (optional)
init(self, keys, callback[, callback_argument])
  Component init function

  ### Parameters:

  - self Hotkey Hotkey
  - keys string[] or string The keys to be pressed for trigger callback. Should contains one key and any modificator keys
  - callback function The callback function
  - callback_argument value The argument to pass into the callback function (optional)

## Tables

style
  Component style params. You can override this component styles params in druid styles table or create your own style

  ### Fields:

  - MODIFICATORS string[] The list of action_id as hotkey modificators

## Fields

button
  Button component from click_node
  - button Button Button
click_node
  Button trigger node
  - click_node node (default node)
node
  Visual node
  - node node
on_change_state
  On change state callback(self, state)
  - on_change_state DruidEvent DruidEvent

generated by LDoc TESTING Last updated 2015-01-01 12:00:00